org.apache.jmeter.protocol.http.correlation

## Class CreateRegexExtractor

- java.lang.Object
- - org.apache.jmeter.protocol.http.correlation.CreateRegexExtractor

- All Implemented Interfaces:
    CreateExtractorInterface

      public class CreateRegexExtractor
      extends Object
      implements CreateExtractorInterface

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExtractorData` | `createExtractor(ExtractorCreatorData extractorCreatorData)` Create Regular Expression Extractor for body parameter
    `TestElement` | `createExtractorTestElement(ExtractorData extractordata, TestElement testElement)` Create the Regex Extractor TestElement
    `static RegexExtractorData` | `createRegularExtractorForHeaderParameter(SampleResult sampleResult, String parameter, String parameterValue)` Create Regular Expression Extractor for header parameter

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createRegularExtractorForHeaderParameter

          public static RegexExtractorData createRegularExtractorForHeaderParameter(SampleResult sampleResult,
                                                                                    String parameter,
                                                                                    String parameterValue)

      Create Regular Expression Extractor for header parameter
      Parameters:
        `sampleResult` - object to get Response data
        `parameter` - parameter to be correlated
        `parameterValue` - Map containing correlation candidates and their values
      Returns:
        Map for Regex Extractor

    - #### createExtractor

          public ExtractorData createExtractor(ExtractorCreatorData extractorCreatorData)

      Create Regular Expression Extractor for body parameter
      Specified by:
        `createExtractor` in interface `CreateExtractorInterface`
      Parameters:
        `extractorCreatorData` - ExtractorCreatorData object.
      Returns:
        ExtractorData object.

    - #### createExtractorTestElement

          public TestElement createExtractorTestElement(ExtractorData extractordata,
                                                        TestElement testElement)

      Create the Regex Extractor TestElement
      Specified by:
        `createExtractorTestElement` in interface `CreateExtractorInterface`
      Parameters:
        `extractordata` - ExtractorData object.
        `testElement` - TestElement object.
      Returns:
        Regex Extractor TestElement object.

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.